/* BdfServer_API - Copyright (c) 2009-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.balayage;

import fr.exemole.bdfserver.api.exportation.transformation.TransformationConstants;


/**
 *
 * @author Vincent Calame
 */
public interface BalayageConstants extends TransformationConstants {

    public final static short LANG_OPTION_UNKNOWN = 0;
    public final static short LANG_OPTION_NONE = 1;
    public final static short LANG_OPTION_DIR = 2;
    public final static short UNIQUE_TYPE = 0;
    public final static short CORPUS_TYPE = 1;
    public final static short FICHE_TYPE = 2;
    public final static short THESAURUS_TYPE = 3;
    public final static short MOTCLE_TYPE = 4;
    public final static short SPHERE_TYPE = 5;
    public final static short REDACTEUR_TYPE = 6;
    public final static short DOCUMENT_TYPE = 7;
    public final static short ILLUSTRATION_TYPE = 10;
}
