/* BdfServer_API - Copyright (c) 2012-2021 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.exportation.table;

import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public interface FicheTableParameters {

    public final static String WITH_SECTION = "section";
    public final static String WITH_CHRONO = "chrono";
    public final static String WITH_ADDENDAINCLUDE = "addendainclude";
    public final static String WITH_ALBUMINCLUDE = "albuminclude";
    public final static String WITH_CORPUSINCLUDE = "corpusinclude";
    public final static String WITH_THESAURUSINCLUDE = "thesaurusinclude";
    public final static short STANDARD_PATTERNMODE = 1;
    public final static short FORMSYNTAX_PATTERNMODE = 2;
    public final static short CODE_PATTERNMODE = 3;

    public boolean isWith(String key);

    public short getPatternMode();

    public List<String> getWithList();

}
